# ai_industrylist.hpp File Reference

List all the industries. More...

`#include "ai_list.hpp"`

Go to the source code of this file.

## Data Structures
class | AIIndustryList
| Creates a list of industries that are currently on the map. More...
class | AIIndustryList_CargoAccepting
| Creates a list of industries that accepts a given cargo. More...
class | AIIndustryList_CargoProducing
| Creates a list of industries that can produce a given cargo. More...

## Detailed Description

List all the industries.

Definition in file ai_industrylist.hpp.